View Issue Details

IDProjectCategoryView StatusLast Update
0031525LazarusLCLpublic2017-06-05 17:56
ReporterAlfredAssigned ToBart Broersma 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformDarwinOSOSXOS Version10.10
Product Version1.7 (SVN)Product Buildtrunk latest 
Target Version1.8Fixed in Version1.8 
Summary0031525: Due to FPC 0031515, Lazarus does not build anymore on Darwin.
DescriptionFPC change:
http://bugs.freepascal.org/view.php?id=31515

Does result in fatal error in utf8process.pp.
Line 171: fpsysctl.
pchar should be pcint.
TagsNo tags attached.
Fixed in Revisionr55241
LazTarget1.8
Widgetset
Attached Files

Relationships

related to 0031515 resolvedMarco van de Voort FPC wrong declaration of FPsysctl... 
has duplicate 0031668 resolvedBart Broersma Lazarus IDE does not compile with trunk FPC on Mac OSX 
has duplicate 0031729 resolvedJuha Manninen Lazarus Error building from source 

Activities

Bart Broersma

2017-03-13 12:25

developer   ~0098875

Can you create a patch?

Alfred

2017-03-13 14:08

reporter   ~0098881

I will, but there is still FPC movement regarding this FPC change.
http://bugs.freepascal.org/view.php?id=31531

Also forum reports are coming in:
http://forum.lazarus.freepascal.org/index.php/topic,34645.msg240881.html

So, I can deliver a patch, but changes may be required in near future again.

Second, are switches allowed in a patch?
See proposal:
{$ifdef VER3_0}
type
 FPSysCtlFirstArgType = PChar;
{$else}
type
 FPSysCtlFirstArgType = pcint;
{$endif}

Bart Broersma

2017-03-13 18:37

developer   ~0098889

This might work.
I have no Mac so I cannot test.

@line 171;
{$if FPC_FULLVERSION >= 30101}
fpsysctl(@mib, 2, @t, @len, Nil, 0);
{$else}
fpsysctl(pchar(@mib), 2, @t, @len, Nil, 0);
{$endif}

Alfred

2017-03-14 12:40

reporter   ~0098898

Can confirm: this works for FPC trunk on Mac with Lazarus 1.6.4 !

(
Lazarus trunk does not compile [yet] on Mac
error: registersqldb.pas 65,6 cant't find unit mssqlconn used by registersqldb
please ignore this for this issue: its just for your info
)

Marco van de Voort

2017-05-01 13:28

manager   ~0100032

(I've decided not to merge this change to 3.0.4, so that $IF should be ok)

Juha Manninen

2017-05-01 17:48

developer   ~0100044

Somebody please upload a tested patch.

Bart Broersma

2017-05-01 18:44

developer   ~0100045

Somebody with a Mac should apply the change I propose and see if it compiles.
I don't like to apply patches I cannot even test if they are compilable.

Alternatively feel free to by me a Mac for testing purposes ;-)

Jerome Shidel

2017-05-07 22:22

reporter   ~0100148

Last edited: 2017-05-07 22:23

View 2 revisions

Bart, after applying your suggested line 171 patch to utf8process.pp (cut&paste), Lazarus revision 54822 compiles fine under FPC revision 36150 on Darwin. Please apply this change to the Lazarus trunk sources.

Bart Broersma

2017-06-05 17:55

developer   ~0100879

Please test and close if OK.

Issue History

Date Modified Username Field Change
2017-03-12 09:31 Alfred New Issue
2017-03-13 12:25 Bart Broersma LazTarget => -
2017-03-13 12:25 Bart Broersma Note Added: 0098875
2017-03-13 12:25 Bart Broersma Status new => feedback
2017-03-13 14:08 Alfred Note Added: 0098881
2017-03-13 14:08 Alfred Status feedback => new
2017-03-13 15:55 Juha Manninen Relationship added related to 0031515
2017-03-13 18:37 Bart Broersma Note Added: 0098889
2017-03-14 12:40 Alfred Note Added: 0098898
2017-04-16 14:51 Bart Broersma Relationship added has duplicate 0031668
2017-04-30 21:32 Bart Broersma Relationship added related to 0031729
2017-05-01 09:06 Juha Manninen Relationship replaced has duplicate 0031729
2017-05-01 13:28 Marco van de Voort Note Added: 0100032
2017-05-01 17:48 Juha Manninen Note Added: 0100044
2017-05-01 18:44 Bart Broersma Note Added: 0100045
2017-05-07 22:22 Jerome Shidel Note Added: 0100148
2017-05-07 22:23 Jerome Shidel Note Edited: 0100148 View Revisions
2017-06-05 00:10 Bart Broersma Assigned To => Bart Broersma
2017-06-05 00:10 Bart Broersma Status new => assigned
2017-06-05 17:55 Bart Broersma Fixed in Revision => r55241
2017-06-05 17:55 Bart Broersma LazTarget - => 1.8
2017-06-05 17:55 Bart Broersma Note Added: 0100879
2017-06-05 17:55 Bart Broersma Status assigned => resolved
2017-06-05 17:55 Bart Broersma Fixed in Version => 1.8
2017-06-05 17:55 Bart Broersma Resolution open => fixed
2017-06-05 17:55 Bart Broersma Target Version => 1.8